/*
 * Copyright (c) 2011 Intel Corporation. All Rights Reserved.
 * Copyright (c) Imagination Technologies Limited, UK
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sub license, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 *
 * The above copyright notice and this permission notice (including the
 * next paragraph) shall be included in all copies or substantial portions
 * of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT.
 * IN NO EVENT SHALL PRECISION INSIGHT AND/OR ITS SUPPLIERS BE LIABLE FOR
 * ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */


#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_SIZE                (4128)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     REFERING_TO_BOTTOM
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REFERING_TO_BOTTOM_ALIGNMENT                (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REFERING_TO_BOTTOM_TYPE             uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REFERING_TO_BOTTOM_MASK             (0x40)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REFERING_TO_BOTTOM_LSBMASK          (0x01)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REFERING_TO_BOTTOM_OFFSET           (0x0023)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REFERING_TO_BOTTOM_SHIFT            (6)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REFERING_TO_BOTTOM_STRIDE           (4)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REFERING_TO_BOTTOM_NO_ENTRIES               (14)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     DPB_IDX_COL
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_DPB_IDX_COL_ALIGNMENT               (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_DPB_IDX_COL_TYPE            uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_DPB_IDX_COL_MASK            (0x3C)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_DPB_IDX_COL_LSBMASK         (0x0F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_DPB_IDX_COL_OFFSET          (0x0023)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_DPB_IDX_COL_SHIFT           (2)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_DPB_IDX_COL_STRIDE          (4)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_DPB_IDX_COL_NO_ENTRIES              (14)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     COMP_Y_COL
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_Y_COL_ALIGNMENT                (4)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_Y_COL_TYPE             uint32_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_Y_COL_MASK             (0x03FFC000)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_Y_COL_LSBMASK          (0x00000FFF)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_Y_COL_OFFSET           (0x0020)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_Y_COL_SHIFT            (14)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_Y_COL_STRIDE           (4)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_Y_COL_NO_ENTRIES               (14)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     COMP_X_COL
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_X_COL_ALIGNMENT                (2)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_X_COL_TYPE             uint16_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_X_COL_MASK             (0x3FFF)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_X_COL_LSBMASK          (0x3FFF)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_X_COL_OFFSET           (0x0020)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_X_COL_SHIFT            (0)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_X_COL_STRIDE           (4)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_X_COL_NO_ENTRIES               (14)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     REFERING_TO_BOTTOM_ABOVE
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REFERING_TO_BOTTOM_ABOVE_ALIGNMENT          (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REFERING_TO_BOTTOM_ABOVE_TYPE               uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REFERING_TO_BOTTOM_ABOVE_MASK               (0x40)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REFERING_TO_BOTTOM_ABOVE_LSBMASK            (0x01)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REFERING_TO_BOTTOM_ABOVE_OFFSET             (0x0003)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REFERING_TO_BOTTOM_ABOVE_SHIFT              (6)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REFERING_TO_BOTTOM_ABOVE_STRIDE             (4)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REFERING_TO_BOTTOM_ABOVE_NO_ENTRIES         (4)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     DPB_IDX_ABOVE
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_DPB_IDX_ABOVE_ALIGNMENT             (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_DPB_IDX_ABOVE_TYPE          uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_DPB_IDX_ABOVE_MASK          (0x3C)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_DPB_IDX_ABOVE_LSBMASK               (0x0F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_DPB_IDX_ABOVE_OFFSET                (0x0003)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_DPB_IDX_ABOVE_SHIFT         (2)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_DPB_IDX_ABOVE_STRIDE                (4)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_DPB_IDX_ABOVE_NO_ENTRIES            (4)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     COMP_Y_ABOVE
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_Y_ABOVE_ALIGNMENT              (4)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_Y_ABOVE_TYPE           uint32_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_Y_ABOVE_MASK           (0x03FFC000)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_Y_ABOVE_LSBMASK                (0x00000FFF)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_Y_ABOVE_OFFSET         (0x0000)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_Y_ABOVE_SHIFT          (14)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_Y_ABOVE_STRIDE         (4)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_Y_ABOVE_NO_ENTRIES             (4)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     COMP_X_ABOVE
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_X_ABOVE_ALIGNMENT              (2)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_X_ABOVE_TYPE           uint16_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_X_ABOVE_MASK           (0x3FFF)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_X_ABOVE_LSBMASK                (0x3FFF)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_X_ABOVE_OFFSET         (0x0000)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_X_ABOVE_SHIFT          (0)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_X_ABOVE_STRIDE         (4)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COMP_X_ABOVE_NO_ENTRIES             (4)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     ASO_BLOCK3_PREDICTION_SIZE
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_BLOCK3_PREDICTION_SIZE_ALIGNMENT                (2)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_BLOCK3_PREDICTION_SIZE_TYPE             uint16_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_BLOCK3_PREDICTION_SIZE_MASK             (0x0380)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_BLOCK3_PREDICTION_SIZE_LSBMASK          (0x0007)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_BLOCK3_PREDICTION_SIZE_OFFSET           (0x005E)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_BLOCK3_PREDICTION_SIZE_SHIFT            (7)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     ASO_BLOCK2_PREDICTION_SIZE
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_BLOCK2_PREDICTION_SIZE_ALIGNMENT                (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_BLOCK2_PREDICTION_SIZE_TYPE             uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_BLOCK2_PREDICTION_SIZE_MASK             (0x70)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_BLOCK2_PREDICTION_SIZE_LSBMASK          (0x07)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_BLOCK2_PREDICTION_SIZE_OFFSET           (0x005E)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_BLOCK2_PREDICTION_SIZE_SHIFT            (4)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     ASO_BLOCK1_PREDICTION_SIZE
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_BLOCK1_PREDICTION_SIZE_ALIGNMENT                (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_BLOCK1_PREDICTION_SIZE_TYPE             uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_BLOCK1_PREDICTION_SIZE_MASK             (0x0E)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_BLOCK1_PREDICTION_SIZE_LSBMASK          (0x07)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_BLOCK1_PREDICTION_SIZE_OFFSET           (0x005E)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_BLOCK1_PREDICTION_SIZE_SHIFT            (1)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     ASO_BLOCK0_PREDICTION_SIZE
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_BLOCK0_PREDICTION_SIZE_ALIGNMENT                (4)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_BLOCK0_PREDICTION_SIZE_TYPE             uint32_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_BLOCK0_PREDICTION_SIZE_MASK             (0x0001C000)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_BLOCK0_PREDICTION_SIZE_LSBMASK          (0x00000007)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_BLOCK0_PREDICTION_SIZE_OFFSET           (0x005C)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_BLOCK0_PREDICTION_SIZE_SHIFT            (14)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     COPY_DISABLE_DEBLOCK_FILTER_IDC
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_DISABLE_DEBLOCK_FILTER_IDC_ALIGNMENT           (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_DISABLE_DEBLOCK_FILTER_IDC_TYPE                uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_DISABLE_DEBLOCK_FILTER_IDC_MASK                (0x30)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_DISABLE_DEBLOCK_FILTER_IDC_LSBMASK             (0x03)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_DISABLE_DEBLOCK_FILTER_IDC_OFFSET              (0x005D)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_DISABLE_DEBLOCK_FILTER_IDC_SHIFT               (4)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     COPY_H264_BE_SLICE0_ALPHA_CO_OFFSET_DIV2
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_H264_BE_SLICE0_ALPHA_CO_OFFSET_DIV2_ALIGNMENT          (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_H264_BE_SLICE0_ALPHA_CO_OFFSET_DIV2_TYPE               uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_H264_BE_SLICE0_ALPHA_CO_OFFSET_DIV2_MASK               (0x0F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_H264_BE_SLICE0_ALPHA_CO_OFFSET_DIV2_LSBMASK            (0x0F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_H264_BE_SLICE0_ALPHA_CO_OFFSET_DIV2_OFFSET             (0x005D)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_H264_BE_SLICE0_ALPHA_CO_OFFSET_DIV2_SHIFT              (0)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     COPY_H264_BE_SLICE0_BETA_OFFSET_DIV2
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_H264_BE_SLICE0_BETA_OFFSET_DIV2_ALIGNMENT              (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_H264_BE_SLICE0_BETA_OFFSET_DIV2_TYPE           uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_H264_BE_SLICE0_BETA_OFFSET_DIV2_MASK           (0xF0)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_H264_BE_SLICE0_BETA_OFFSET_DIV2_LSBMASK                (0x0F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_H264_BE_SLICE0_BETA_OFFSET_DIV2_OFFSET         (0x005C)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_H264_BE_SLICE0_BETA_OFFSET_DIV2_SHIFT          (4)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     COPY_H264_BE_SLICE0_FIELD_TYPE
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_H264_BE_SLICE0_FIELD_TYPE_ALIGNMENT            (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_H264_BE_SLICE0_FIELD_TYPE_TYPE         uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_H264_BE_SLICE0_FIELD_TYPE_MASK         (0x0C)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_H264_BE_SLICE0_FIELD_TYPE_LSBMASK              (0x03)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_H264_BE_SLICE0_FIELD_TYPE_OFFSET               (0x005C)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_H264_BE_SLICE0_FIELD_TYPE_SHIFT                (2)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     COPY_H264_BE_SLICE0_CODE_TYPE
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_H264_BE_SLICE0_CODE_TYPE_ALIGNMENT             (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_H264_BE_SLICE0_CODE_TYPE_TYPE          uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_H264_BE_SLICE0_CODE_TYPE_MASK          (0x03)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_H264_BE_SLICE0_CODE_TYPE_LSBMASK               (0x03)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_H264_BE_SLICE0_CODE_TYPE_OFFSET                (0x005C)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COPY_H264_BE_SLICE0_CODE_TYPE_SHIFT         (0)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     MB_AVAILABLE_TOP_FLAG
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_AVAILABLE_TOP_FLAG_ALIGNMENT             (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_AVAILABLE_TOP_FLAG_TYPE          uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_AVAILABLE_TOP_FLAG_MASK          (0x02)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_AVAILABLE_TOP_FLAG_LSBMASK               (0x01)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_AVAILABLE_TOP_FLAG_OFFSET                (0x005B)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_AVAILABLE_TOP_FLAG_SHIFT         (1)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     MB_AVAILABLE_LEFT_FLAG
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_AVAILABLE_LEFT_FLAG_ALIGNMENT            (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_AVAILABLE_LEFT_FLAG_TYPE         uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_AVAILABLE_LEFT_FLAG_MASK         (0x01)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_AVAILABLE_LEFT_FLAG_LSBMASK              (0x01)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_AVAILABLE_LEFT_FLAG_OFFSET               (0x005B)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_AVAILABLE_LEFT_FLAG_SHIFT                (0)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     ASO_MB_TRANSFORM_ZERO
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_MB_TRANSFORM_ZERO_ALIGNMENT             (4)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_MB_TRANSFORM_ZERO_TYPE          uint32_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_MB_TRANSFORM_ZERO_MASK          (0x00FFFFFF)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_MB_TRANSFORM_ZERO_LSBMASK               (0x00FFFFFF)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_MB_TRANSFORM_ZERO_OFFSET                (0x0058)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ASO_MB_TRANSFORM_ZERO_SHIFT         (0)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     QP_CR_INTRA
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_CR_INTRA_ALIGNMENT               (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_CR_INTRA_TYPE            uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_CR_INTRA_MASK            (0xFC)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_CR_INTRA_LSBMASK         (0x3F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_CR_INTRA_OFFSET          (0x101F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_CR_INTRA_SHIFT           (2)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     QP_CB_INTRA
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_CB_INTRA_ALIGNMENT               (2)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_CB_INTRA_TYPE            uint16_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_CB_INTRA_MASK            (0x03F0)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_CB_INTRA_LSBMASK         (0x003F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_CB_INTRA_OFFSET          (0x101E)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_CB_INTRA_SHIFT           (4)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     INTRA_PRED_2
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_PRED_2_ALIGNMENT              (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_PRED_2_TYPE           uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_PRED_2_MASK           (0x0F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_PRED_2_LSBMASK                (0x0F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_PRED_2_OFFSET         (0x101E)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_PRED_2_SHIFT          (0)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     INTRA_PRED_0
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_PRED_0_ALIGNMENT              (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_PRED_0_TYPE           uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_PRED_0_MASK           (0xF0)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_PRED_0_LSBMASK                (0x0F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_PRED_0_OFFSET         (0x101D)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_PRED_0_SHIFT          (4)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     INTRA_PRED_1
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_PRED_1_ALIGNMENT              (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_PRED_1_TYPE           uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_PRED_1_MASK           (0x0F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_PRED_1_LSBMASK                (0x0F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_PRED_1_OFFSET         (0x101D)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_PRED_1_SHIFT          (0)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     INTRA_PRED_3
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_PRED_3_ALIGNMENT              (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_PRED_3_TYPE           uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_PRED_3_MASK           (0xF0)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_PRED_3_LSBMASK                (0x0F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_PRED_3_OFFSET         (0x101C)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_PRED_3_SHIFT          (4)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     INTRA_4X4_OR_8X8_2
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_4X4_OR_8X8_2_ALIGNMENT                (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_4X4_OR_8X8_2_TYPE             uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_4X4_OR_8X8_2_MASK             (0x08)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_4X4_OR_8X8_2_LSBMASK          (0x01)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_4X4_OR_8X8_2_OFFSET           (0x101C)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_4X4_OR_8X8_2_SHIFT            (3)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     INTRA_4X4_OR_8X8_0
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_4X4_OR_8X8_0_ALIGNMENT                (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_4X4_OR_8X8_0_TYPE             uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_4X4_OR_8X8_0_MASK             (0x04)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_4X4_OR_8X8_0_LSBMASK          (0x01)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_4X4_OR_8X8_0_OFFSET           (0x101C)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_4X4_OR_8X8_0_SHIFT            (2)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     INTRA_4X4_OR_8X8_1
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_4X4_OR_8X8_1_ALIGNMENT                (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_4X4_OR_8X8_1_TYPE             uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_4X4_OR_8X8_1_MASK             (0x02)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_4X4_OR_8X8_1_LSBMASK          (0x01)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_4X4_OR_8X8_1_OFFSET           (0x101C)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_4X4_OR_8X8_1_SHIFT            (1)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     INTRA_4X4_OR_8X8_3
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_4X4_OR_8X8_3_ALIGNMENT                (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_4X4_OR_8X8_3_TYPE             uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_4X4_OR_8X8_3_MASK             (0x01)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_4X4_OR_8X8_3_LSBMASK          (0x01)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_4X4_OR_8X8_3_OFFSET           (0x101C)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_INTRA_4X4_OR_8X8_3_SHIFT            (0)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     QP_CR
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_CR_ALIGNMENT             (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_CR_TYPE          uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_CR_MASK          (0xFC)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_CR_LSBMASK               (0x3F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_CR_OFFSET                (0x001F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_CR_SHIFT         (2)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     QP_CB
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_CB_ALIGNMENT             (2)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_CB_TYPE          uint16_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_CB_MASK          (0x03F0)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_CB_LSBMASK               (0x003F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_CB_OFFSET                (0x001E)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_CB_SHIFT         (4)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     RESERVED_H3
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_RESERVED_H3_ALIGNMENT               (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_RESERVED_H3_TYPE            uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_RESERVED_H3_MASK            (0x0F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_RESERVED_H3_LSBMASK         (0x0F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_RESERVED_H3_OFFSET          (0x001E)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_RESERVED_H3_SHIFT           (0)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     COL_PIC_ZERO_FLAG
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COL_PIC_ZERO_FLAG_ALIGNMENT         (2)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COL_PIC_ZERO_FLAG_TYPE              uint16_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COL_PIC_ZERO_FLAG_MASK              (0xFFFF)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COL_PIC_ZERO_FLAG_LSBMASK           (0xFFFF)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COL_PIC_ZERO_FLAG_OFFSET            (0x001C)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_COL_PIC_ZERO_FLAG_SHIFT             (0)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     MB_FIELD_FLAG
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_FIELD_FLAG_ALIGNMENT             (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_FIELD_FLAG_TYPE          uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_FIELD_FLAG_MASK          (0x40)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_FIELD_FLAG_LSBMASK               (0x01)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_FIELD_FLAG_OFFSET                (0x001B)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_FIELD_FLAG_SHIFT         (6)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     MBTYPE
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MBTYPE_ALIGNMENT            (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MBTYPE_TYPE         uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MBTYPE_MASK         (0x30)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MBTYPE_LSBMASK              (0x03)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MBTYPE_OFFSET               (0x001B)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MBTYPE_SHIFT                (4)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     REF_IDX_L0_2
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_2_ALIGNMENT              (2)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_2_TYPE           uint16_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_2_MASK           (0x0F80)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_2_LSBMASK                (0x001F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_2_OFFSET         (0x001A)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_2_SHIFT          (7)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     REF_IDX_L1_2
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_2_ALIGNMENT              (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_2_TYPE           uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_2_MASK           (0x7C)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_2_LSBMASK                (0x1F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_2_OFFSET         (0x001A)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_2_SHIFT          (2)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     REF_IDX_L0_3
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_3_ALIGNMENT              (4)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_3_TYPE           uint32_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_3_MASK           (0x0003E000)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_3_LSBMASK                (0x0000001F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_3_OFFSET         (0x0018)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_3_SHIFT          (13)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     REF_IDX_L1_3
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_3_ALIGNMENT              (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_3_TYPE           uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_3_MASK           (0x1F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_3_LSBMASK                (0x1F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_3_OFFSET         (0x0019)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_3_SHIFT          (0)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     REF_IDX_L0_VALID
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_VALID_ALIGNMENT          (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_VALID_TYPE               uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_VALID_MASK               (0xF0)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_VALID_LSBMASK            (0x0F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_VALID_OFFSET             (0x0018)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_VALID_SHIFT              (4)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     REF_IDX_L1_VALID
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_VALID_ALIGNMENT          (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_VALID_TYPE               uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_VALID_MASK               (0x0F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_VALID_LSBMASK            (0x0F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_VALID_OFFSET             (0x0018)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_VALID_SHIFT              (0)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     MB_ERROR_FLAG
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_ERROR_FLAG_ALIGNMENT             (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_ERROR_FLAG_TYPE          uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_ERROR_FLAG_MASK          (0x80)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_ERROR_FLAG_LSBMASK               (0x01)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_ERROR_FLAG_OFFSET                (0x0017)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_ERROR_FLAG_SHIFT         (7)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     TRANSFORM_SIZE_8X8
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_TRANSFORM_SIZE_8X8_ALIGNMENT                (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_TRANSFORM_SIZE_8X8_TYPE             uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_TRANSFORM_SIZE_8X8_MASK             (0x40)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_TRANSFORM_SIZE_8X8_LSBMASK          (0x01)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_TRANSFORM_SIZE_8X8_OFFSET           (0x0017)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_TRANSFORM_SIZE_8X8_SHIFT            (6)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     REF_IDX_L0_0
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_0_ALIGNMENT              (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_0_TYPE           uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_0_MASK           (0x3E)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_0_LSBMASK                (0x1F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_0_OFFSET         (0x0017)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_0_SHIFT          (1)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     REF_IDX_L1_0
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_0_ALIGNMENT              (2)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_0_TYPE           uint16_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_0_MASK           (0x01F0)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_0_LSBMASK                (0x001F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_0_OFFSET         (0x0016)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_0_SHIFT          (4)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     REF_IDX_L0_1
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_1_ALIGNMENT              (4)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_1_TYPE           uint32_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_1_MASK           (0x000F8000)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_1_LSBMASK                (0x0000001F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_1_OFFSET         (0x0014)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L0_1_SHIFT          (15)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     REF_IDX_L1_1
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_1_ALIGNMENT              (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_1_TYPE           uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_1_MASK           (0x7C)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_1_LSBMASK                (0x1F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_1_OFFSET         (0x0015)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_REF_IDX_L1_1_SHIFT          (2)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     QP
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_ALIGNMENT                (2)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_TYPE             uint16_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_MASK             (0x03F0)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_LSBMASK          (0x003F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_OFFSET           (0x0014)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_QP_SHIFT            (4)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     CBP
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_CBP_ALIGNMENT               (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_CBP_TYPE            uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_CBP_MASK            (0x0F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_CBP_LSBMASK         (0x0F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_CBP_OFFSET          (0x0014)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_CBP_SHIFT           (0)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     MB_DECODED
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_DECODED_ALIGNMENT                (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_DECODED_TYPE             uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_DECODED_MASK             (0x20)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_DECODED_LSBMASK          (0x01)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_DECODED_OFFSET           (0x0013)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_MB_DECODED_SHIFT            (5)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     PICTURE_NO
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_PICTURE_NO_ALIGNMENT                (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_PICTURE_NO_TYPE             uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_PICTURE_NO_MASK             (0x1E)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_PICTURE_NO_LSBMASK          (0x0F)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_PICTURE_NO_OFFSET           (0x0013)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_PICTURE_NO_SHIFT            (1)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     SLICE_NO
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_SLICE_NO_ALIGNMENT          (4)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_SLICE_NO_TYPE               uint32_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_SLICE_NO_MASK               (0x01FFF000)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_SLICE_NO_LSBMASK            (0x00001FFF)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_SLICE_NO_OFFSET             (0x0010)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_SLICE_NO_SHIFT              (12)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     ABOVE_MV_SIZE_2
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ABOVE_MV_SIZE_2_ALIGNMENT           (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ABOVE_MV_SIZE_2_TYPE                uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ABOVE_MV_SIZE_2_MASK                (0x0E)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ABOVE_MV_SIZE_2_LSBMASK             (0x07)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ABOVE_MV_SIZE_2_OFFSET              (0x0011)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ABOVE_MV_SIZE_2_SHIFT               (1)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     ABOVE_MV_SIZE_0
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ABOVE_MV_SIZE_0_ALIGNMENT           (2)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ABOVE_MV_SIZE_0_TYPE                uint16_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ABOVE_MV_SIZE_0_MASK                (0x01C0)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ABOVE_MV_SIZE_0_LSBMASK             (0x0007)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ABOVE_MV_SIZE_0_OFFSET              (0x0010)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ABOVE_MV_SIZE_0_SHIFT               (6)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     ABOVE_MV_SIZE_1
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ABOVE_MV_SIZE_1_ALIGNMENT           (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ABOVE_MV_SIZE_1_TYPE                uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ABOVE_MV_SIZE_1_MASK                (0x38)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ABOVE_MV_SIZE_1_LSBMASK             (0x07)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ABOVE_MV_SIZE_1_OFFSET              (0x0010)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ABOVE_MV_SIZE_1_SHIFT               (3)

// MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT     ABOVE_MV_SIZE_3
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ABOVE_MV_SIZE_3_ALIGNMENT           (1)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ABOVE_MV_SIZE_3_TYPE                uint8_t
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ABOVE_MV_SIZE_3_MASK                (0x07)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ABOVE_MV_SIZE_3_LSBMASK             (0x07)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ABOVE_MV_SIZE_3_OFFSET              (0x0010)
#define MSVDX_VEC_ENTDEC_VLRIF_H264_MB_UNIT_ABOVE_MV_SIZE_3_SHIFT               (0)

#define MSVDX_VEC_CR_VEC_CONTROL_ENTDEC_ENABLE_BE_MASK          (0x00000100)
#define MSVDX_VEC_CR_VEC_CONTROL_ENTDEC_ENABLE_BE_SHIFT         (8)
