/*
 * Copyright (c) 2011 Intel Corporation. All Rights Reserved.
 * Copyright (c) Imagination Technologies Limited, UK
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the
 * "Software"), to deal in the Software without restriction, including
 * without limitation the rights to use, copy, modify, merge, publish,
 * distribute, sub license, and/or sell copies of the Software, and to
 * permit persons to whom the Software is furnished to do so, subject to
 * the following conditions:
 *
 * The above copyright notice and this permission notice (including the
 * next paragraph) shall be included in all copies or substantial portions
 * of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT.
 * IN NO EVENT SHALL PRECISION INSIGHT AND/OR ITS SUPPLIERS BE LIABLE FOR
 * ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
 * TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
 * SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */


/******************************************************************************

 @File         msvdx_vec_vc1_reg_io2.h

 @Title        MSVDX Offsets

 @Platform     </b>\n

 @Description  </b>\n This file contains the MSVDX_VEC_VC1_REG_IO2_H Defintions.

******************************************************************************/
#if !defined (__MSVDX_VEC_VC1_REG_IO2_H__)
#define __MSVDX_VEC_VC1_REG_IO2_H__

#ifdef __cplusplus
extern "C" {
#endif


#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_SPS0_OFFSET         (0x0400)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_SPS0     VC1_FE_SYNCMARKER
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_SPS0_VC1_FE_SYNCMARKER_MASK         (0x00000004)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_SPS0_VC1_FE_SYNCMARKER_LSBMASK              (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_SPS0_VC1_FE_SYNCMARKER_SHIFT                (2)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_SPS0     VC1_FE_VSTRANSFORM
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_SPS0_VC1_FE_VSTRANSFORM_MASK                (0x00000002)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_SPS0_VC1_FE_VSTRANSFORM_LSBMASK             (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_SPS0_VC1_FE_VSTRANSFORM_SHIFT               (1)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_SPS0     VC1_FE_INTERLACE
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_SPS0_VC1_FE_INTERLACE_MASK          (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_SPS0_VC1_FE_INTERLACE_LSBMASK               (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_SPS0_VC1_FE_INTERLACE_SHIFT         (0)

#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS0_OFFSET         (0x0404)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS0     VC1_FE_PIC_WIDTH_IN_MBS_LESS1
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS0_VC1_FE_PIC_WIDTH_IN_MBS_LESS1_MASK             (0x03F80000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS0_VC1_FE_PIC_WIDTH_IN_MBS_LESS1_LSBMASK          (0x0000007F)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS0_VC1_FE_PIC_WIDTH_IN_MBS_LESS1_SHIFT            (19)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS0     VC1_FE_PIC_HEIGHT_IN_MBS_LESS1
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS0_VC1_FE_PIC_HEIGHT_IN_MBS_LESS1_MASK            (0x0007F000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS0_VC1_FE_PIC_HEIGHT_IN_MBS_LESS1_LSBMASK         (0x0000007F)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS0_VC1_FE_PIC_HEIGHT_IN_MBS_LESS1_SHIFT           (12)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS0     VC1_FE_FIRST_MB_IN_SLICE_Y
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS0_VC1_FE_FIRST_MB_IN_SLICE_Y_MASK                (0x00000FE0)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS0_VC1_FE_FIRST_MB_IN_SLICE_Y_LSBMASK             (0x0000007F)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS0_VC1_FE_FIRST_MB_IN_SLICE_Y_SHIFT               (5)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS0     VC1_FE_PTYPE
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS0_VC1_FE_PTYPE_MASK              (0x0000001C)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS0_VC1_FE_PTYPE_LSBMASK           (0x00000007)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS0_VC1_FE_PTYPE_SHIFT             (2)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS0     VC1_FE_FCM
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS0_VC1_FE_FCM_MASK                (0x00000003)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS0_VC1_FE_FCM_LSBMASK             (0x00000003)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS0_VC1_FE_FCM_SHIFT               (0)

#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_OFFSET         (0x0408)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS1     VC1_FE_BP_FORMAT
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_BP_FORMAT_MASK          (0x20000000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_BP_FORMAT_LSBMASK               (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_BP_FORMAT_SHIFT         (29)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS1     VC1_FE_BP_PRESENT
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_BP_PRESENT_MASK         (0x1C000000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_BP_PRESENT_LSBMASK              (0x00000007)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_BP_PRESENT_SHIFT                (26)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS1     VC1_FE_RAWCODINGFLAG
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_RAWCODINGFLAG_MASK              (0x03F80000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_RAWCODINGFLAG_LSBMASK           (0x0000007F)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_RAWCODINGFLAG_SHIFT             (19)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS1     VC1_FE_MVMODE
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_MVMODE_MASK             (0x00070000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_MVMODE_LSBMASK          (0x00000007)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_MVMODE_SHIFT            (16)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS1     VC1_FE_MVMODE2
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_MVMODE2_MASK            (0x00006000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_MVMODE2_LSBMASK         (0x00000003)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_MVMODE2_SHIFT           (13)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS1     VC1_FE_TTMBF
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_TTMBF_MASK              (0x00001000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_TTMBF_LSBMASK           (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_TTMBF_SHIFT             (12)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS1     VC1_FE_TTFRM
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_TTFRM_MASK              (0x00000C00)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_TTFRM_LSBMASK           (0x00000003)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_TTFRM_SHIFT             (10)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS1     VC1_FE_BFRACTION
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_BFRACTION_MASK          (0x000003E0)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_BFRACTION_LSBMASK               (0x0000001F)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_BFRACTION_SHIFT         (5)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS1     VC1_FE_CONDOVER
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_CONDOVER_MASK           (0x0000000C)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_CONDOVER_LSBMASK                (0x00000003)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_CONDOVER_SHIFT          (2)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS1     VC1_FE_EXTEND_X
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_EXTEND_X_MASK           (0x00000002)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_EXTEND_X_LSBMASK                (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_EXTEND_X_SHIFT          (1)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS1     VC1_FE_EXTEND_Y
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_EXTEND_Y_MASK           (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_EXTEND_Y_LSBMASK                (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS1_VC1_FE_EXTEND_Y_SHIFT          (0)

#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_OFFSET         (0x040C)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS2     VC1_FE_DQXBEDGE
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_DQXBEDGE_MASK           (0x03000000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_DQXBEDGE_LSBMASK                (0x00000003)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_DQXBEDGE_SHIFT          (24)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS2     VC1_FE_DQUANT
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_DQUANT_MASK             (0x00C00000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_DQUANT_LSBMASK          (0x00000003)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_DQUANT_SHIFT            (22)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS2     VC1_FE_VOPDQUANT_PRESENT
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_VOPDQUANT_PRESENT_MASK          (0x00200000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_VOPDQUANT_PRESENT_LSBMASK               (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_VOPDQUANT_PRESENT_SHIFT         (21)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS2     VC1_FE_PQUANT
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_PQUANT_MASK             (0x001F0000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_PQUANT_LSBMASK          (0x0000001F)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_PQUANT_SHIFT            (16)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS2     VC1_FE_HALFQP
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_HALFQP_MASK             (0x00008000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_HALFQP_LSBMASK          (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_HALFQP_SHIFT            (15)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS2     VC1_FE_DQUANTFRM
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_DQUANTFRM_MASK          (0x00004000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_DQUANTFRM_LSBMASK               (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_DQUANTFRM_SHIFT         (14)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS2     VC1_FE_DQUANT_INFRAME
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_DQUANT_INFRAME_MASK             (0x00002000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_DQUANT_INFRAME_LSBMASK          (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_DQUANT_INFRAME_SHIFT            (13)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS2     VC1_FE_ALTPQUANT
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_ALTPQUANT_MASK          (0x00001F00)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_ALTPQUANT_LSBMASK               (0x0000001F)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_ALTPQUANT_SHIFT         (8)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS2     VC1_FE_DQPROFILE
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_DQPROFILE_MASK          (0x000000C0)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_DQPROFILE_LSBMASK               (0x00000003)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_DQPROFILE_SHIFT         (6)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS2     VC1_FE_DQBILEVEL
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_DQBILEVEL_MASK          (0x00000020)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_DQBILEVEL_LSBMASK               (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_DQBILEVEL_SHIFT         (5)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS2     VC1_FE_PQINDEX_GT8
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_PQINDEX_GT8_MASK                (0x00000010)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_PQINDEX_GT8_LSBMASK             (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_PQINDEX_GT8_SHIFT               (4)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS2     VC1_FE_TRANSACFRM
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_TRANSACFRM_MASK         (0x0000000C)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_TRANSACFRM_LSBMASK              (0x00000003)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_TRANSACFRM_SHIFT                (2)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS2     VC1_FE_TRANSACFRM2
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_TRANSACFRM2_MASK                (0x00000003)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_TRANSACFRM2_LSBMASK             (0x00000003)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS2_VC1_FE_TRANSACFRM2_SHIFT               (0)

#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE0_OFFSET            (0x0410)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_MVD_LITE0     VC1_FE_MVD_LITE_ENABLE
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE0_VC1_FE_MVD_LITE_ENABLE_MASK               (0x40000000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE0_VC1_FE_MVD_LITE_ENABLE_LSBMASK            (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE0_VC1_FE_MVD_LITE_ENABLE_SHIFT              (30)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_MVD_LITE0     VC1_FE_PULLBACK_X
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE0_VC1_FE_PULLBACK_X_MASK            (0x3FFF0000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE0_VC1_FE_PULLBACK_X_LSBMASK         (0x00003FFF)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE0_VC1_FE_PULLBACK_X_SHIFT           (16)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_MVD_LITE0     VC1_FE_PULLBACK_Y
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE0_VC1_FE_PULLBACK_Y_MASK            (0x00003FFF)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE0_VC1_FE_PULLBACK_Y_LSBMASK         (0x00003FFF)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE0_VC1_FE_PULLBACK_Y_SHIFT           (0)

#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_OFFSET            (0x0414)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_MVD_LITE1     VC1_FE_TFF
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_TFF_MASK           (0x40000000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_TFF_LSBMASK                (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_TFF_SHIFT          (30)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_MVD_LITE1     VC1_FE_SCAN_INDEX
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_SCAN_INDEX_MASK            (0x38000000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_SCAN_INDEX_LSBMASK         (0x00000007)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_SCAN_INDEX_SHIFT           (27)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_MVD_LITE1     VC1_FE_REFDIST
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_REFDIST_MASK               (0x07C00000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_REFDIST_LSBMASK            (0x0000001F)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_REFDIST_SHIFT              (22)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_MVD_LITE1     VC1_FE_NUMREF
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_NUMREF_MASK                (0x00200000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_NUMREF_LSBMASK             (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_NUMREF_SHIFT               (21)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_MVD_LITE1     VC1_FE_REFFIELD
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_REFFIELD_MASK              (0x00100000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_REFFIELD_LSBMASK           (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_REFFIELD_SHIFT             (20)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_MVD_LITE1     VC1_FE_MVRANGE
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_MVRANGE_MASK               (0x000C0000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_MVRANGE_LSBMASK            (0x00000003)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_MVRANGE_SHIFT              (18)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_MVD_LITE1     VC1_FE_HALFPEL_FLAG
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_HALFPEL_FLAG_MASK          (0x00020000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_HALFPEL_FLAG_LSBMASK               (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_HALFPEL_FLAG_SHIFT         (17)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_MVD_LITE1     VC1_FE_BOTTOM_FIELD_FLAG
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_BOTTOM_FIELD_FLAG_MASK             (0x00010000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_BOTTOM_FIELD_FLAG_LSBMASK          (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_BOTTOM_FIELD_FLAG_SHIFT            (16)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_MVD_LITE1     VC1_FE_ADVANCED_PROFILE
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_ADVANCED_PROFILE_MASK              (0x00008000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_ADVANCED_PROFILE_LSBMASK           (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_MVD_LITE1_VC1_FE_ADVANCED_PROFILE_SHIFT             (15)

#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_BITPLANES_BASE_ADDR0_OFFSET         (0x0418)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_BITPLANES_BASE_ADDR0     VC1_FE_BITPLANES_BASE_ADDR0
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_BITPLANES_BASE_ADDR0_VC1_FE_BITPLANES_BASE_ADDR0_MASK               (0xFFFFF000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_BITPLANES_BASE_ADDR0_VC1_FE_BITPLANES_BASE_ADDR0_LSBMASK            (0x000FFFFF)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_BITPLANES_BASE_ADDR0_VC1_FE_BITPLANES_BASE_ADDR0_SHIFT              (12)

#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_BITPLANES_BASE_ADDR1_OFFSET         (0x041C)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_BITPLANES_BASE_ADDR1     VC1_FE_BITPLANES_BASE_ADDR1
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_BITPLANES_BASE_ADDR1_VC1_FE_BITPLANES_BASE_ADDR1_MASK               (0xFFFFF000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_BITPLANES_BASE_ADDR1_VC1_FE_BITPLANES_BASE_ADDR1_LSBMASK            (0x000FFFFF)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_BITPLANES_BASE_ADDR1_VC1_FE_BITPLANES_BASE_ADDR1_SHIFT              (12)

#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_BITPLANES_BASE_ADDR2_OFFSET         (0x0420)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_BITPLANES_BASE_ADDR2     VC1_FE_BITPLANES_BASE_ADDR2
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_BITPLANES_BASE_ADDR2_VC1_FE_BITPLANES_BASE_ADDR2_MASK               (0xFFFFF000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_BITPLANES_BASE_ADDR2_VC1_FE_BITPLANES_BASE_ADDR2_LSBMASK            (0x000FFFFF)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_BITPLANES_BASE_ADDR2_VC1_FE_BITPLANES_BASE_ADDR2_SHIFT              (12)

#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS3_OFFSET         (0x0424)

// MSVDX_VEC_VC1     CR_VEC_VC1_FE_PPS3     VC1_FE_PIC_SIZE_IN_MBS_LESS1
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS3_VC1_FE_PIC_SIZE_IN_MBS_LESS1_MASK              (0x00003FFF)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS3_VC1_FE_PIC_SIZE_IN_MBS_LESS1_LSBMASK           (0x00003FFF)
#define MSVDX_VEC_VC1_CR_VEC_VC1_FE_PPS3_VC1_FE_PIC_SIZE_IN_MBS_LESS1_SHIFT             (0)

#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_SPS0_OFFSET         (0x0450)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_SPS0     VC1_BE_EXTENDED_DMV
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_SPS0_VC1_BE_EXTENDED_DMV_MASK               (0x00000008)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_SPS0_VC1_BE_EXTENDED_DMV_LSBMASK            (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_SPS0_VC1_BE_EXTENDED_DMV_SHIFT              (3)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_SPS0     VC1_BE_EXTENDED_MV
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_SPS0_VC1_BE_EXTENDED_MV_MASK                (0x00000004)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_SPS0_VC1_BE_EXTENDED_MV_LSBMASK             (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_SPS0_VC1_BE_EXTENDED_MV_SHIFT               (2)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_SPS0     VC1_BE_FASTUVMC
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_SPS0_VC1_BE_FASTUVMC_MASK           (0x00000002)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_SPS0_VC1_BE_FASTUVMC_LSBMASK                (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_SPS0_VC1_BE_FASTUVMC_SHIFT          (1)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_SPS0     VC1_BE_INTERLACE
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_SPS0_VC1_BE_INTERLACE_MASK          (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_SPS0_VC1_BE_INTERLACE_LSBMASK               (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_SPS0_VC1_BE_INTERLACE_SHIFT         (0)

#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_SPS1_OFFSET         (0x0454)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_SPS1     VC1_BE_PIC_HEIGHT_IN_MBS_LESS1
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_SPS1_VC1_BE_PIC_HEIGHT_IN_MBS_LESS1_MASK            (0x0000007F)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_SPS1_VC1_BE_PIC_HEIGHT_IN_MBS_LESS1_LSBMASK         (0x0000007F)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_SPS1_VC1_BE_PIC_HEIGHT_IN_MBS_LESS1_SHIFT           (0)

#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_SPS2_OFFSET         (0x0458)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_SPS2     VC1_BE_PIC_WIDTH_IN_MBS_LESS1
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_SPS2_VC1_BE_PIC_WIDTH_IN_MBS_LESS1_MASK             (0x0000007F)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_SPS2_VC1_BE_PIC_WIDTH_IN_MBS_LESS1_LSBMASK          (0x0000007F)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_SPS2_VC1_BE_PIC_WIDTH_IN_MBS_LESS1_SHIFT            (0)

#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS2_OFFSET         (0x0460)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_PPS2     VC1_BE_COLLOCATED_SKIPPED
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS2_VC1_BE_COLLOCATED_SKIPPED_MASK         (0x00000040)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS2_VC1_BE_COLLOCATED_SKIPPED_LSBMASK              (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS2_VC1_BE_COLLOCATED_SKIPPED_SHIFT                (6)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_PPS2     VC1_BE_FCM_REF2
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS2_VC1_BE_FCM_REF2_MASK           (0x00000030)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS2_VC1_BE_FCM_REF2_LSBMASK                (0x00000003)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS2_VC1_BE_FCM_REF2_SHIFT          (4)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_PPS2     VC1_BE_FCM_REF1
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS2_VC1_BE_FCM_REF1_MASK           (0x0000000C)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS2_VC1_BE_FCM_REF1_LSBMASK                (0x00000003)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS2_VC1_BE_FCM_REF1_SHIFT          (2)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_PPS2     VC1_BE_FCM_REF0
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS2_VC1_BE_FCM_REF0_MASK           (0x00000003)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS2_VC1_BE_FCM_REF0_LSBMASK                (0x00000003)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS2_VC1_BE_FCM_REF0_SHIFT          (0)

#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_OFFSET         (0x0464)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_PPS0     VC1_BE_IQ_OVERLAP
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_IQ_OVERLAP_MASK         (0x00004000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_IQ_OVERLAP_LSBMASK              (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_IQ_OVERLAP_SHIFT                (14)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_PPS0     VC1_BE_UNIFORM_QUANTIZER
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_UNIFORM_QUANTIZER_MASK          (0x00002000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_UNIFORM_QUANTIZER_LSBMASK               (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_UNIFORM_QUANTIZER_SHIFT         (13)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_PPS0     VC1_BE_TFF_BWD
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_TFF_BWD_MASK            (0x00001000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_TFF_BWD_LSBMASK         (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_TFF_BWD_SHIFT           (12)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_PPS0     VC1_BE_TFF_FWD
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_TFF_FWD_MASK            (0x00000800)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_TFF_FWD_LSBMASK         (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_TFF_FWD_SHIFT           (11)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_PPS0     VC1_BE_TFF
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_TFF_MASK                (0x00000400)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_TFF_LSBMASK             (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_TFF_SHIFT               (10)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_PPS0     VC1_BE_SECOND_FIELD
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_SECOND_FIELD_MASK               (0x00000200)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_SECOND_FIELD_LSBMASK            (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_SECOND_FIELD_SHIFT              (9)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_PPS0     VC1_BE_HALFQP
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_HALFQP_MASK             (0x00000100)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_HALFQP_LSBMASK          (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_HALFQP_SHIFT            (8)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_PPS0     VC1_BE_BFRACTION
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_BFRACTION_MASK          (0x000000F8)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_BFRACTION_LSBMASK               (0x0000001F)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_BFRACTION_SHIFT         (3)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_PPS0     VC1_BE_FCM
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_FCM_MASK                (0x00000006)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_FCM_LSBMASK             (0x00000003)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_FCM_SHIFT               (1)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_PPS0     VC1_BE_RNDCTRL
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_RNDCTRL_MASK            (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_RNDCTRL_LSBMASK         (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS0_VC1_BE_RNDCTRL_SHIFT           (0)

#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS1_OFFSET         (0x0468)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_PPS1     VC1_BE_EXTEND_Y
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS1_VC1_BE_EXTEND_Y_MASK           (0x00010000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS1_VC1_BE_EXTEND_Y_LSBMASK                (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS1_VC1_BE_EXTEND_Y_SHIFT          (16)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_PPS1     VC1_BE_EXTEND_X
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS1_VC1_BE_EXTEND_X_MASK           (0x00008000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS1_VC1_BE_EXTEND_X_LSBMASK                (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS1_VC1_BE_EXTEND_X_SHIFT          (15)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_PPS1     VC1_BE_QUANTIZER
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS1_VC1_BE_QUANTIZER_MASK          (0x00006000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS1_VC1_BE_QUANTIZER_LSBMASK               (0x00000003)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS1_VC1_BE_QUANTIZER_SHIFT         (13)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_PPS1     VC1_BE_PQUANT
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS1_VC1_BE_PQUANT_MASK             (0x00001F00)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS1_VC1_BE_PQUANT_LSBMASK          (0x0000001F)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS1_VC1_BE_PQUANT_SHIFT            (8)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_PPS1     VC1_BE_MVMODE
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS1_VC1_BE_MVMODE_MASK             (0x000000E0)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS1_VC1_BE_MVMODE_LSBMASK          (0x00000007)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS1_VC1_BE_MVMODE_SHIFT            (5)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_PPS1     VC1_BE_MVMODE2
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS1_VC1_BE_MVMODE2_MASK            (0x00000018)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS1_VC1_BE_MVMODE2_LSBMASK         (0x00000003)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS1_VC1_BE_MVMODE2_SHIFT           (3)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_PPS1     VC1_BE_PTYPE
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS1_VC1_BE_PTYPE_MASK              (0x00000007)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS1_VC1_BE_PTYPE_LSBMASK           (0x00000007)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PPS1_VC1_BE_PTYPE_SHIFT             (0)

#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD0_OFFSET         (0x046C)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_MVD0     VC1_BE_BRPD
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD0_VC1_BE_BRPD_MASK               (0x00001F00)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD0_VC1_BE_BRPD_LSBMASK            (0x0000001F)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD0_VC1_BE_BRPD_SHIFT              (8)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_MVD0     VC1_BE_FRPD
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD0_VC1_BE_FRPD_MASK               (0x0000001F)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD0_VC1_BE_FRPD_LSBMASK            (0x0000001F)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD0_VC1_BE_FRPD_SHIFT              (0)

#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD1_OFFSET         (0x0470)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_MVD1     VC1_BE_SCALEFACTOR
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD1_VC1_BE_SCALEFACTOR_MASK                (0x000007FF)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD1_VC1_BE_SCALEFACTOR_LSBMASK             (0x000007FF)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD1_VC1_BE_SCALEFACTOR_SHIFT               (0)

#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD2_OFFSET         (0x0474)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_MVD2     VC1_BE_PULLBACK_X
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD2_VC1_BE_PULLBACK_X_MASK         (0x00003FFF)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD2_VC1_BE_PULLBACK_X_LSBMASK              (0x00003FFF)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD2_VC1_BE_PULLBACK_X_SHIFT                (0)

#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD3_OFFSET         (0x0478)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_MVD3     VC1_BE_PULLBACK_Y
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD3_VC1_BE_PULLBACK_Y_MASK         (0x00003FFF)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD3_VC1_BE_PULLBACK_Y_LSBMASK              (0x00003FFF)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD3_VC1_BE_PULLBACK_Y_SHIFT                (0)

#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD4_OFFSET         (0x047C)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_MVD4     VC1_BE_FIRST_MB_IN_SLICE_Y
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD4_VC1_BE_FIRST_MB_IN_SLICE_Y_MASK                (0x0000007F)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD4_VC1_BE_FIRST_MB_IN_SLICE_Y_LSBMASK             (0x0000007F)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD4_VC1_BE_FIRST_MB_IN_SLICE_Y_SHIFT               (0)

#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD5_OFFSET         (0x0480)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_MVD5     VC1_BE_SCAN_INDEX
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD5_VC1_BE_SCAN_INDEX_MASK         (0x00007000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD5_VC1_BE_SCAN_INDEX_LSBMASK              (0x00000007)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD5_VC1_BE_SCAN_INDEX_SHIFT                (12)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_MVD5     VC1_BE_REFDIST
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD5_VC1_BE_REFDIST_MASK            (0x00000F80)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD5_VC1_BE_REFDIST_LSBMASK         (0x0000001F)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD5_VC1_BE_REFDIST_SHIFT           (7)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_MVD5     VC1_BE_NUMREF
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD5_VC1_BE_NUMREF_MASK             (0x00000040)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD5_VC1_BE_NUMREF_LSBMASK          (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD5_VC1_BE_NUMREF_SHIFT            (6)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_MVD5     VC1_BE_REFFIELD
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD5_VC1_BE_REFFIELD_MASK           (0x00000020)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD5_VC1_BE_REFFIELD_LSBMASK                (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD5_VC1_BE_REFFIELD_SHIFT          (5)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_MVD5     VC1_BE_MVRANGE
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD5_VC1_BE_MVRANGE_MASK            (0x00000018)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD5_VC1_BE_MVRANGE_LSBMASK         (0x00000003)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD5_VC1_BE_MVRANGE_SHIFT           (3)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_MVD5     VC1_BE_HALFPEL_FLAG
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD5_VC1_BE_HALFPEL_FLAG_MASK               (0x00000004)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD5_VC1_BE_HALFPEL_FLAG_LSBMASK            (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD5_VC1_BE_HALFPEL_FLAG_SHIFT              (2)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_MVD5     VC1_BE_BOTTOM_FIELD_FLAG
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD5_VC1_BE_BOTTOM_FIELD_FLAG_MASK          (0x00000002)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD5_VC1_BE_BOTTOM_FIELD_FLAG_LSBMASK               (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD5_VC1_BE_BOTTOM_FIELD_FLAG_SHIFT         (1)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_MVD5     VC1_BE_ADVANCED_PROFILE
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD5_VC1_BE_ADVANCED_PROFILE_MASK           (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD5_VC1_BE_ADVANCED_PROFILE_LSBMASK                (0x00000001)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_MVD5_VC1_BE_ADVANCED_PROFILE_SHIFT          (0)

#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PARAM_BASE_ADDR_OFFSET              (0x04EC)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_PARAM_BASE_ADDR     VC1_BE_PARAM_BASE_ADDRESS
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PARAM_BASE_ADDR_VC1_BE_PARAM_BASE_ADDRESS_MASK              (0xFFFFF000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PARAM_BASE_ADDR_VC1_BE_PARAM_BASE_ADDRESS_LSBMASK           (0x000FFFFF)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_PARAM_BASE_ADDR_VC1_BE_PARAM_BASE_ADDRESS_SHIFT             (12)

#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_COLPARAM_BASE_ADDR_OFFSET           (0x04F8)

// MSVDX_VEC_VC1     CR_VEC_VC1_BE_COLPARAM_BASE_ADDR     VC1_BE_COLPARAM_BASE_ADDRESS
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_COLPARAM_BASE_ADDR_VC1_BE_COLPARAM_BASE_ADDRESS_MASK                (0xFFFFF000)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_COLPARAM_BASE_ADDR_VC1_BE_COLPARAM_BASE_ADDRESS_LSBMASK             (0x000FFFFF)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BE_COLPARAM_BASE_ADDR_VC1_BE_COLPARAM_BASE_ADDRESS_SHIFT               (12)

#define MSVDX_VEC_VC1_CR_VEC_VC1_BP_READ_OFFSET         (0x0500)

// MSVDX_VEC_VC1     CR_VEC_VC1_BP_READ     VC1_BP_READ
#define MSVDX_VEC_VC1_CR_VEC_VC1_BP_READ_VC1_BP_READ_MASK               (0x0000FFFF)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BP_READ_VC1_BP_READ_LSBMASK            (0x0000FFFF)
#define MSVDX_VEC_VC1_CR_VEC_VC1_BP_READ_VC1_BP_READ_SHIFT              (0)



#ifdef __cplusplus
}
#endif

#endif /* __MSVDX_VEC_VC1_REG_IO2_H__ */
